## haskell-vte 0.12.1

=== demo/Makefile ===

PROG  = vte 
SOURCES = Vte.hs

$(PROG) : $(SOURCES)
	$(HC) --make $< -o $@ $(HCFLAGS) -XForeignFunctionInterface

clean:
	rm -f $(SOURCES:.hs=.hi) $(SOURCES:.hs=.o) $(PROG)

HC=ghc

## haskell-vte 0.11.0

=== debian/changelog ===
haskell-vte (0.11.0-2build2) natty; urgency=low

  * Rebuild against new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Wed, 16 Feb 2011 11:43:24 +0000

haskell-vte (0.11.0-2build1) maverick; urgency=low

  * No-change rebuild against new haskell-gtk ABI

 -- Iain Lane <laney@ubuntu.com>  Tue, 05 Oct 2010 10:38:35 +0100

haskell-vte (0.11.0-2) unstable; urgency=low

  * control: Remove -prof package.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Tue, 08 Jun 2010 23:23:01 -0300

haskell-vte (0.11.0-1) unstable; urgency=low

  * Initial release.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 26 May 2010 16:50:47 -0300

=== debian/control ===
Source: haskell-vte
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc6
#  , ghc6-prof
  , libghc6-mtl-dev
#  , libghc6-mtl-prof
  , libghc6-glib-dev (>= 0.11)
  , libghc6-glib-dev (<< 0.12)
#  , libghc6-glib-prof
  , libghc6-pango-dev (>= 0.11)
  , libghc6-pango-dev (<< 0.12)
#  , libghc6-pango-prof
  , libghc6-gtk-dev (>= 0.11)
  , libghc6-gtk-dev (<< 0.12)
#  , libghc6-gtk-prof
  , libvte-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc6-doc
  , libghc6-mtl-doc
  , libghc6-glib-doc
  , libghc6-pango-doc
  , libghc6-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/vte
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vte
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-vte

Package: libghc6-vte-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libvte-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the VTE library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.

# Package: libghc6-vte-prof
# Architecture: any
# Depends: ${haskell:Depends}
#   , ${misc:Depends}
# Recommends: ${haskell:Recommends}
# Suggests: ${haskell:Suggests}
# Provides: ${haskell:Provides}
# Description: Binding to the VTE library; profiling libraries
#  This package provides a library for the Haskell programming language,
#  compiled for profiling.
#  See http://www.haskell.org/ for more information on Haskell.
#  .
#  The VTE library inserts terminal capability strings into a trie, and then uses
#  it to determine if data received from a pseudo-terminal is a control sequence
#  or just random data. The sample program interpret illustrates more or less
#  what the widget sees after it filters incoming data.

Package: libghc6-vte-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the VTE library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.

## haskell-vte 0.12.0

=== debian/changelog ===
haskell-vte (0.12.0-1build1) oneiric; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Jun 2011 11:48:22 +0100

haskell-vte (0.12.0-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release
  * Reenable profiling package

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 13:29:01 +0530

=== debian/control ===
Source: haskell-vte
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.7)
  , ghc
  , ghc-prof
  , libghc-mtl-dev
  , libghc-mtl-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-pango-dev (>= 0.12)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gtk-dev (>= 0.12)
  , libghc-gtk-dev (<< 0.13)
  , libghc-gtk-prof
  , libvte-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-mtl-doc
  , libghc-glib-doc
  , libghc-pango-doc
  , libghc-gtk-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/vte
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vte
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-vte

Package: libghc-vte-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libvte-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the VTE library
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.

Package: libghc-vte-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the VTE library; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.

Package: libghc-vte-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the VTE library; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.

## haskell-vte 0.12.1

=== debian/changelog ===
haskell-vte (0.12.1-4) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:52 +0200

haskell-vte (0.12.1-3) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:26 +0200

haskell-vte (0.12.1-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:26:24 +0200

haskell-vte (0.12.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 Feb 2012 22:39:39 +0100

=== debian/control ===
Source: haskell-vte
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-glib-dev (>= 0.12)
  , libghc-glib-dev (<< 0.13)
  , libghc-glib-prof
  , libghc-pango-dev (>= 0.12)
  , libghc-pango-dev (<< 0.13)
  , libghc-pango-prof
  , libghc-gtk-dev (>= 0.12)
  , libghc-gtk-dev (<< 0.13)
  , libghc-gtk-prof
  , libvte-dev
  , gtk2hs-buildtools
Build-Depends-Indep: ghc-doc
  , libghc-glib-doc
  , libghc-pango-doc
  , libghc-gtk-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/vte
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-vte
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-vte

Package: libghc-vte-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
  , libvte-dev
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the VTE library${haskell:ShortBlurb}
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.
 .
 ${haskell:Blurb}

Package: libghc-vte-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Binding to the VTE library${haskell:ShortBlurb}
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.
 .
 ${haskell:Blurb}

Package: libghc-vte-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Binding to the VTE library${haskell:ShortBlurb}
 The VTE library inserts terminal capability strings into a trie, and then uses
 it to determine if data received from a pseudo-terminal is a control sequence
 or just random data. The sample program interpret illustrates more or less
 what the widget sees after it filters incoming data.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|vte-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/vte \
    ([\d\.]*\d)/

## haskell-vte 0.13.0.0

=== debian/changelog ===
haskell-vte (0.13.0.0-3build3) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jul 2015 09:46:33 +0100

haskell-vte (0.13.0.0-3build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 04 Jul 2015 20:31:53 +0100

haskell-vte (0.13.0.0-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Jun 2015 15:59:01 +0100

haskell-vte (0.13.0.0-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Wed, 29 Apr 2015 13:02:55 +0200

haskell-vte (0.13.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:51 +0200

haskell-vte (0.13.0.0-1) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
 Build-Depends: debhelper (>= 9)
   , cdbs
-  , haskell-devscripts (>= 0.8.15)
+  , haskell-devscripts (>= 0.9)
   , ghc
   , ghc-prof
-  , libghc-glib-dev (>= 0.12)
-  , libghc-glib-dev (<< 0.13)
+  , libghc-glib-dev (>= 0.13)
+  , libghc-glib-dev (<< 0.14)
   , libghc-glib-prof
-  , libghc-pango-dev (>= 0.12)
-  , libghc-pango-dev (<< 0.13)
+  , libghc-pango-dev (>= 0.13)
+  , libghc-pango-dev (<< 0.14)
   , libghc-pango-prof
-  , libghc-gtk-dev (>= 0.12)
-  , libghc-gtk-dev (<< 0.13)
+  , libghc-gtk-dev (>= 0.13)
+  , libghc-gtk-dev (<< 0.14)
   , libghc-gtk-prof
   , libvte-dev
-  , gtk2hs-buildtools
+  , gtk2hs-buildtools (>= 0.13.0.3)
 Build-Depends-Indep: ghc-doc
   , libghc-glib-doc
   , libghc-pango-doc

=== debian/watch ===
version=3
http://hackage.haskell.org/package/vte/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
